"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.trimVideo = exports.removeAudio = exports.mergeVideoAndAudio = exports.fastAndSlow = exports.cropAudio = exports.combineVideo = void 0;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-audio-remove' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const AudioRemove = _reactNative.NativeModules.AudioRemove ? _reactNative.NativeModules.AudioRemove : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

const removeAudio = path => {
  return AudioRemove.removeAudio(path);
};

exports.removeAudio = removeAudio;

const mergeVideoAndAudio = (videoPath, audioPath) => {
  return AudioRemove.mergeVideoAndAudio(videoPath, audioPath);
};

exports.mergeVideoAndAudio = mergeVideoAndAudio;

const trimVideo = (videoPath, startTime, endingTime) => {
  return AudioRemove.trimVideo(videoPath, startTime, endingTime);
};

exports.trimVideo = trimVideo;

const fastAndSlow = (videoPath, setPts, tempo) => {
  return AudioRemove.fastAndSlow(videoPath, setPts, tempo);
};

exports.fastAndSlow = fastAndSlow;

const combineVideo = (videoPath, width, height) => {
  return AudioRemove.combineVideo(videoPath, width, height);
};

exports.combineVideo = combineVideo;

const cropAudio = (audioPath, startTime, endingTime) => {
  return AudioRemove.cropAudio(audioPath, startTime, endingTime);
};

exports.cropAudio = cropAudio;
//# sourceMappingURL=index.js.map