import { NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-audio-remove' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const AudioRemove = NativeModules.AudioRemove ? NativeModules.AudioRemove : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
export const removeAudio = path => {
  return AudioRemove.removeAudio(path);
};
export const mergeVideoAndAudio = (videoPath, audioPath) => {
  return AudioRemove.mergeVideoAndAudio(videoPath, audioPath);
};
export const trimVideo = (videoPath, startTime, endingTime) => {
  return AudioRemove.trimVideo(videoPath, startTime, endingTime);
};
export const fastAndSlow = (videoPath, setPts, tempo) => {
  return AudioRemove.fastAndSlow(videoPath, setPts, tempo);
};
export const combineVideo = (videoPath, width, height) => {
  return AudioRemove.combineVideo(videoPath, width, height);
};
export const cropAudio = (audioPath, startTime, endingTime) => {
  return AudioRemove.cropAudio(audioPath, startTime, endingTime);
};
//# sourceMappingURL=index.js.map