import { NativeModules, Platform } from 'react-native';

const LINKING_ERROR =
  `The package 'react-native-audio-remove' doesn't seem to be linked. Make sure: \n\n` +
  Platform.select({ ios: "- You have run 'pod install'\n", default: '' }) +
  '- You rebuilt the app after installing the package\n' +
  '- You are not using Expo managed workflow\n';

const AudioRemove = NativeModules.AudioRemove
  ? NativeModules.AudioRemove
  : new Proxy(
      {},
      {
        get() {
          throw new Error(LINKING_ERROR);
        },
      }
    );

export const removeAudio = (path: String): Promise<String> => {
  return AudioRemove.removeAudio(path);
};

export const mergeVideoAndAudio = (
  videoPath: String,
  audioPath: String
): Promise<String> => {
  return AudioRemove.mergeVideoAndAudio(videoPath, audioPath);
};

export const trimVideo = (
  videoPath: String,
  startTime: String,
  endingTime: String
): Promise<String> => {
  return AudioRemove.trimVideo(videoPath, startTime, endingTime);
};

export const fastAndSlow = (
  videoPath: String,
  setPts: Number,
  tempo: Number
): Promise<String> => {
  return AudioRemove.fastAndSlow(videoPath, setPts, tempo);
};

export const combineVideo = (
  videoPath: Array<String>,
  width: Number,
  height: Number
) => {
  return AudioRemove.combineVideo(videoPath, width, height);
};

export const cropAudio = (
  audioPath: String,
  startTime: String,
  endingTime: String
): Promise<String> => {
  return AudioRemove.cropAudio(audioPath, startTime, endingTime);
};
